/** @format */

module.exports = {
    roots: ['src'],
    preset: 'ts-jest',
    testMatch: ['**/__tests__/**/*.+(ts|tsx|js)', '**/?(*.)+(spec|test).+(ts|tsx|js)'],
    transform: {
        '^.+\\.(ts|tsx)$': 'ts-jest',
    },
    globals: {
        'ts-jest': {
            diagnostics: false,
            pathRegex: /\.(spec|test)\.ts$/,
            warnOnly: true,
        },
    },
};
