/** @format */
//后台账号(字母或数字不少于2个字符,不超过12个字符)
export const adminUserNamePattern = /^[0-9a-zA-Z]{2,12}$/;
//后台账号密码(字母和数字的组合，不少于8个字符，不超过12个字符)
export const adminPasswordPattern = /^(?![^a-zA-Z]+$)(?!\D+$).{8,12}$/;
//商户账号(字母或者数字或者下划线的组合，不少于3个字符，不超过12个字符)
export const merchantAccountPattern = /^\w{3,12}$/;
//商户密码(字母和数字的组合，不少于3个字符，不超过12个字符)
export const merchantPasswordPattern = /^(?![\d]+$)(?![a-zA-Z]+$)(?![^\da-zA-Z]+$).{3,12}$/;
//验证请求路径（/path）
export const pathPattern = /^\//;
//电话号码验证
export const phonePattern = /^1(3|4|5|6|7|8|9)\d{9}$/;
//是否有中文
export const chinesePattern = /.*[\u4e00-\u9fa5]+.*/;
//验证IP
export const ipPattern = /^(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])\.(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])\.(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])\.(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])$/;
