/** @format */
export const RESULT_STATUS = ['Default', 'green'];
//结果状态
export enum Status {
    '全部',
    '成功',
    '失败',
}
export const AUTH_STATUS = ['default', 'success', 'warning'];
//商户认证状态
export enum authStatus {
    '未认证',
    '通过',
    '未通过',
}
export const DATA_API_STATUS_COLOR = [
    'default',
    'success',
    'warning',
    'warning',
    'error',
    'warning',
    'warning',
    'warning',
    'warning',
];

export enum interfaceStatus {
    '全部',
    '正常',
    '过期',
    '即将过期',
    '用量耗尽',
    '用量即将耗尽',
    '达到单日上限',
    '即将达到单日上限',
    '余额不足',
}

export enum merchantType {
    '普通客户' = 1,
    '预存款客户' = 2,
    '后结算客户' = 3,
}

export const ORDER_STATUS_COLOR = ['black', 'blue', 'green', 'red', 'red'];
export enum orderStatus {
    '待确认' = 1,
    '待审核',
    '已完成',
    '未通过',
    '已取消',
}
//接口是否启用
export enum EnableType {
    '未启用',
    '启用',
}
//接口方法
export enum InterfaceMethod {
    'GET',
    'POST',
    'PUT',
    'DELETE',
}
//类别
export enum DataType {
    // '全部',
    '核验产品' = 1,
    '车牌产品' = 2,
    'VIN产品' = 3,
    // '车辆画像',
    // '车险',
    // '违法',
    // '维保',
    // '年检',
    // '其他',
}

export enum InterfaceType {
    '数据' = 0,
    'H5' = 1,
    '辅助' = 2,
}

export const defaultColors = ['#07c27f', '#2fa8e1', '#ff9123', '#7f7ad5', '#676767', '#b2d57a', '#985959', '#ffde70'];
//错误码默认选中项
export const defaultCheckedErrorCode = [2, 3, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 18, 21, 22, 97, 19];
// 字段类型
export enum ParamsTypes {
    'bool',
    'int',
    'string',
    'float',
    'struct',
    'list-int',
    'list-string',
    'list-bool',
    'list-float',
    'list-struct',
}

export const TimeTypeMap = [0, 1, 2, 3];
export const TymeType = ['今日', '昨日', '本周', '本月'];

export const TaskStatus = ['进行中', '已完成', '已停止', '失败', '暂停中'];
export const TaskStatuColor = ['blue', 'green', 'orange', 'red', 'orange'];

export const INIT_THEMECOLORS = {
    '@primary-color': '#12c194', // 全局主色
    '@text-color': '#000000', // 主文本色
    '@heading-color': '#000000', // 标题色
};
