/** @format */

import * as React from 'react';
import Button from '../components/button';
import {Result} from 'antd';
const NotFound: React.FC = props => {
    const {history} = props;
    return (
        <Result
            status="404"
            title="404"
            subTitle="对不起, 您访问的页面不存在!"
            extra={
                <Button type="primary" onClick={() => history.push('/home')}>
                    返回首页
                </Button>
            }
        />
    );
};
export default NotFound;
