/** @format */

import * as React from 'react';
import {Radio} from 'antd';
import {RadioGroupProps} from 'antd/es/radio';

const SwitchTime: React.FC<RadioGroupProps> = props => {
    return (
        <Radio.Group defaultValue={0} {...props} buttonStyle='solid' style={{marginTop: 15, marginBottom: 15}}>
            <Radio.Button value={0}>天</Radio.Button>
            <Radio.Button value={1}>时</Radio.Button>
        </Radio.Group>
    );
};
export default SwitchTime;
