/** @format */

import * as React from 'react';
import Tabs from '../../../components/Tabs';
import MerchantReport from './merchant';
import SourceReport from './provide';

const tabsDataSource = [
    {
        tabname: '商户查询统计',
        key: 'query',
        content: <MerchantReport />,
    },
    {
        tabname: '数据源查询统计',
        key: 'provide',
        content: <SourceReport />,
    },
];
const Report: React.FC = () => {
    return <Tabs  defaultActiveKey='query' dataSource={tabsDataSource} />;
};
export default Report;
