/** @format */

import * as React from 'react';
export interface accessProps {
    loading: boolean;
    data: any[];
}
export interface globalInitStateProps {
    access: accessProps;
    [propname: string]: any;
}

export const accessInitState: accessProps = {
    loading: false,
    data: [],
};
export default React.createContext<globalInitStateProps>({
    access: {
        data: [],
        loading: false,
    },
});
